### Virtual Method

# Secret Service prompt_sync

#### Declaration [src]

    GVariant*
    prompt_sync (
      SecretService* self,
      SecretPrompt* prompt,
      GCancellable* cancellable,
      const GVariantType* return_type,
      GError** error
    )

#### Description [src]

Perform prompting for a `SecretPrompt`.

Runs a prompt and performs the prompting. Returns a variant result if the prompt was completed and not dismissed. The type of result depends on the action the prompt is completing, and is defined in the Secret Service DBus API specification.

This function is called by other parts of this library to handle prompts for the various actions that can require prompting.

Override the `SecretServiceClass` `Secret.ServiceClass.prompt_sync` virtual method to change the behavior of the prompting. The default behavior is to simply run `secret_prompt_perform_sync()` on the prompt with a `NULL` `window_id`.

#### Parameters

`prompt` | `SecretPrompt`
| The prompt.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`return_type` | `GVariantType`
| The variant type of the prompt result.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| `NULL` if the prompt was dismissed or an error occurred, a variant result if the prompt was successful.
| The caller of the function takes ownership of the data, and is responsible for freeing it.